The "List Products" API allows to retrieve a paginated list of products. Customize your results by filtering products based on name or paginate through the list using the provided query parameters. Th
The "List Products" API allows to retrieve a paginated list of products. Customize your results by filtering products based on name or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve product information.
http
GET https://services.leadconnectorhq.com/products/
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
limit
number
No
20
The maximum number of items to be included in a single page of results
offset
number
No
0
The starting index of the page, indicating the position from which the results should be retrieved.
locationId
string
Yes
3SwdhCu3svxI8AKsPJt6
LocationId is the id of the account
search
string
No
Awesome product
The name of the product for searching.
collectionIds
string
No
Filter by product category Ids. Supports comma separated values
collectionSlug
string
No
The slug value of the collection by which the collection would be searched
expand
string[]
No
Name of an entity whose data has to be fetched along with product. Possible entities are tax, stripe and paypal. If not mentioned, only ID will be returned in case of taxes
productIds
string[]
No
List of product ids to be fetched.
storeId
string
No
3SwdhCu3svxI8AKsPJt6
fetch and project products based on the storeId
includedInStore
boolean
No
True
Separate products by which are included in the store and which are not
availableInStore
boolean
No
True
If the product is included in the online store
sortOrder
string
No
desc
The order of sort which should be applied for the date
Responses
200 - Successful response
products (object[], required): An array of products
_id (string, required): The unique identifier for the product. Example: 655b33a82209e60b6adb87a5
description (string): product description Example: This is a really awesome product
variants (object[]): An array of variants for the product.
id (string, required): A unique identifier for the variant. Example: 38s63qmxfr4
name (string, required): The name of the variant. Example: Size
options (object[], required): An array of options for the variant.
id (string, required): The unique identifier for the option. Example: h4z7u0im2q8
name (string, required): The name of the option. Example: XL
locationId (string, required): The unique identifier for the account. Example: 3SwdhCsvxI8Au3KsPJt6
name (string, required): The name of the product. Example: Awesome Product
productType (string, required): The type of the product (e.g., PHYSICAL). Example: PHYSICAL
availableInStore (boolean): Indicates whether the product is available in-store. Example: True
createdAt (string, required): The creation timestamp of the product. Example: 2023-11-20T10:23:36.515Z
updatedAt (string, required): The last update timestamp of the product. Example: 2024-01-23T09:57:04.846Z
statementDescriptor (string): The statement descriptor for the product. Example: abcde
image (string): The URL for the product image. Example: https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png
collectionIds (string[]): An array of category Ids for the product
isTaxesEnabled (boolean): The field indicates whether taxes are enabled for the product or not. Example: True
taxes (string[]): An array of ids of Taxes attached to the Product. If the expand query includes tax, the taxes will be of type ProductTaxDto. Please refer to the ProductTaxDto for additional details.
automaticTaxCategoryId (string): Tax category ID for Automatic taxes calculation. Example: 65d71377c326ea78e1c47df5
label (object): The Product label details
slug (string): The slug of the product by which the product will be navigated Example: washing-machine
total (object[], required): list products status
total (number, required): Total number of products Example: 20